function MBSetting() {
    var _This = this;
    /// <summary>
    ///     构造函，初始化及读取设置
    ///     &#10; IsNightMode 是否夜间模式 bool类型
    ///     &#10; FontSize 字号，1：小字体，2：中字体，3：大字体
    ///     &#10; AutoTraffic 流量自动优化，-1：关闭，1：打开 
    ///     &#10; AutoLoadArt 文章页自动加载，-1：关闭，1：打开
    ///     &#10; NotLoadImg 3G/2G禁止下图，-1：关闭，1：打开 
    /// </summary>

    //2013-3-15 heyang -1:选项不勾选；1：选项勾选
    _This.IsNightMode = false; //是否夜间模式
    _This.FontSize = 2; //字号，1：小字体，2：中字体，3：大字体  
    _This.NotLoadImg = -1;  //-1："允许2G/3G网络下正文加载图片"选项 勾选，此时可以下图 【默认】；1：选项不勾选，禁止下图
    _This.OffLineNumber = 20; //离线下载数量
    _This.Moveloaded = -1; // 仅wifi下载 ;-1表示勾选(注：3.0.0之前的描述： -1表示不允许2G/3G网络下离线下载，默认-1。3.0.0描述改成：仅wifi下载)
    //我订阅的版块
    var FavList = "[{\"CID\":\"-2\",\"CP\":\"img/ClassPic/bp--2.png\",\"CPB\":\"img/ClassPic/bp--2.png\",\"CN\":\"精品推荐\"},{\"CID\":\"-1\",\"CP\":\"img/ClassPic/bp--1.png\",\"CPB\":\"img/ClassPic/bp--1.png\",\"CN\":\"正在转藏\"}]";
    
    //清除clearLocalStorageVersionCode之前版本的LocalStorage(包括clearLocalStorageVersionCode版本) 
    var clearLocalStorageVersionCode=12;   
    var currLocalStorageVersionCode=13;//当前客户端的VersionCode值
    
    var locStorage = window.localStorage;
    initLocStorage();
    MBSetting.prototype.SetSetting = function (key, value) {
        /// <summary>
        ///     设置Setting项目值                
        /// </summary>
        /// <param name="key" type="String">
        ///     可为 IsNightMode、FontSize、AutoTraffic、AutoLoadArt、NotLoadImg其中之一。
        /// </param>
        /// <param name="value" type="Object">
        ///     根据 Key 的不同，value值类型亦不同，参见MBSetting设置项值含义定义。
        /// </param>

        if (key != null && value != null) {
            locStorage.setItem(key, value);
            switch (key) {
                case "IsNightMode":
                    _This.IsNightMode = value;
                    break;
                case "FontSize":
                    _This.FontSize = value;
                    break;
                case "OffLineNumber":
                    _This.OffLineNumber = value;
                    break;
                case "Moveloaded":
                    _This.Moveloaded = value;
                    break;
                case "NotLoadImg":
                    _This.NotLoadImg = value;                
                    break;
            }
        }
    }
    
    function initLocStorage()
    {
    	try
    	{
    		var lastClearLocalStorageVersionCode=locStorage.getItem("LastClearLocalStorageVersionCode");    		
	       	if(lastClearLocalStorageVersionCode==null || lastClearLocalStorageVersionCode=="" ||
	       		 parseInt(lastClearLocalStorageVersionCode)<=clearLocalStorageVersionCode)
	       	{	

	       		 ReadLocStorage();
	       		 locStorage.clear();
	       		 WriteLocStorage();
	       		 locStorage.setItem("LastClearLocalStorageVersionCode", currLocalStorageVersionCode.toString());
	       	}
	       	else
	       	{	

	       		initData();
	       	}
    	}
    	catch (e) {
    		initData();
		}
    }
    
    function ReadLocStorage()
    {
    	try
    	{
    		var valTemp = locStorage.getItem("IsNightMode");

            if (valTemp != null) {

                switch (valTemp) {
                    case "true":
                        _This.IsNightMode = true;
                        break;
                    case "false":
                        _This.IsNightMode = false;
                        break;
                    case true:
                        _This.IsNightMode = true;
                        break;
                    case false:
                        _This.IsNightMode = false;
                        break;
                }
                //_This.IsNightMode = valTemp;
            }
            //--------------------------------------------------------
            valTemp = locStorage.getItem("FontSize");
            if (valTemp != null) {
                _This.FontSize = valTemp;
            }
            //--------------------------------------------------------
            valTemp = locStorage.getItem("OffLineNumber");
            if (valTemp != null) {
                _This.OffLineNumber = valTemp;
            }
            //--------------------------------------------------------
            valTemp = locStorage.getItem("Moveloaded");
            if (valTemp != null) {
                _This.Moveloaded = valTemp;
            }
            //--------------------------------------------------------
            valTemp = locStorage.getItem("AutoTraffic");
            if (valTemp != null) {
                _This.AutoTraffic = valTemp;
            }
            //--------------------------------------------------------
            valTemp = locStorage.getItem("AutoLoadArt");
            if (valTemp != null) {
                _This.AutoLoadArt = valTemp;
            }
            //--------------------------------------------------------
            valTemp = locStorage.getItem("NotLoadImg");
            if (valTemp != null) {
                _This.NotLoadImg = valTemp;
            }
            //========================================================
            
            //favListStr我订阅的版块
            valTemp=locStorage.getItem("FavList");
            if (valTemp != null) {
            	FavList = valTemp;
            }
    	}
    	catch (e) {
		}
    }
    
    function WriteLocStorage()
    {
    	try
    	{
    		locStorage.setItem("IsNightMode", _This.IsNightMode);
            locStorage.setItem("FontSize", _This.FontSize);
            locStorage.setItem("OffLineNumber", _This.OffLineNumber);
            locStorage.setItem("Moveloaded", _This.Moveloaded);
            locStorage.setItem("NotLoadImg", _This.NotLoadImg);
            locStorage.setItem("FavList", FavList);
    	}
    	catch (e) {
		}
    }
    
    function initData() {
    	try
    	{

            //===================属性缓存读取=========================    	
            var valTemp = locStorage.getItem("IsNightMode");

            if (valTemp != null) {

                switch (valTemp) {
                    case "true":
                        _This.IsNightMode = true;
                        break;
                    case "false":
                        _This.IsNightMode = false;
                        break;
                    case true:
                        _This.IsNightMode = true;
                        break;
                    case false:
                        _This.IsNightMode = false;
                        break;
                }
                //_This.IsNightMode = valTemp;
            }
            else {
                locStorage.setItem("IsNightMode", false);
                _This.IsNightMode = false;
            }
            //--------------------------------------------------------
            valTemp = locStorage.getItem("FontSize");
            if (valTemp != null) {
                _This.FontSize = valTemp;
            }
            else {
                locStorage.setItem("FontSize", 2);
                _This.FontSize = 2;
            }
            //--------------------------------------------------------
            valTemp = locStorage.getItem("OffLineNumber");
            if (valTemp != null) {
                _This.OffLineNumber = valTemp;
            }
            else {
                locStorage.setItem("OffLineNumber", 20);
                _This.OffLineNumber = 20;
            }
            //--------------------------------------------------------
            valTemp = locStorage.getItem("Moveloaded");
            if (valTemp != null) {
                _This.Moveloaded = valTemp;
            }
            else {
                locStorage.setItem("Moveloaded", -1);
                _This.Moveloaded = -1;
            }
            //--------------------------------------------------------
            valTemp = locStorage.getItem("NotLoadImg");
            if (valTemp != null) {
                _This.NotLoadImg = valTemp;
            }
            else {
                locStorage.setItem("NotLoadImg", -1);
                _This.NotLoadImg = -1;
            }
            //========================================================
    	}
    	catch (e) {
		}
    }
}